Status: Closed

Priority: Normal

Assignee:

Category: QGIS Server

Affected QGIS version:2.8.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 20935

Description

qgis_mapserver.fcgi does not respect the proxy settings written in QGIS2.ini.

As suggested by the guide, I set the QGIS_OPTIONS_PATH to a folder which contains a QGIS folder which contains the configuration

file QGIS2.ini.

The file is correctly accessed by qgis_mapserver.fcgi, as shown by Process Monitor:

09:56:20    qgis_mapserv.fcgi    12016    QueryNetworkOpenInformationFile    C:\\OSGeo4W\\httpd.d\\QgisConfig\\QGIS\\QGIS2.ini   

SUCCESS    CreationTime: 28/05/2015 00:32:03, LastAccessTime: 28/05/2015 09:37:11, LastWriteTime: 28/05/2015 09:43:11,

ChangeTime: 28/05/2015 09:43:27, AllocationSize: 01/01/1601 02:00:00, EndOfFile: 01/01/1601 02:00:00, FileAttributes: A

However the server still ignores the proxy setting.

By inspecting the source code in qgis_map_serv.cpp I suspect that this is due to the fact that the setupNetworkAccessManager() method

is not calling QgsNetworkAccessManager::setupDefaultProxyAndCache().

Related issues:

Related to QGIS Application - Feature request # 16096: QGIS Server proxy sett... Open 2017-01-19

History

#1 - 2017-03-06 02:35 PM - Giovanni Manghi

- Priority changed from High to Normal

#2 - 2017-05-01 01:07 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2018-06-14 12:11 PM - Alessandro Pasotti

- Description updated

- Status changed from Open to Feedback

Can you please check if this is still an issue?

#4 - 2018-11-26 05:48 PM - Jürgen Fischer

- Related to Feature request #16096: QGIS Server proxy settings added

#5 - 2019-02-23 08:36 PM - Jürgen Fischer

- Resolution set to no timely feedback

- Status changed from Feedback to Closed
Bulk closing 82 tickets in feedback state for more than 90 days affecting an old version.  Feel free to reopen if it still applies to a current version and you

have more information that clarify the issue.
